/**
 * @experimental
 */
export interface FilterTypeValue {
    /**
     * @experimental
     */
    readonly type: 'checkbox' | 'radio';
}
/**
 * @experimental
 */
export declare abstract class FilterType {
    /**
     * @experimental
     */
    static checkbox(): FilterType;
    /**
     * @experimental
     */
    static radio(): FilterType;
    /**
     * @experimental
     */
    abstract bind(): FilterTypeValue;
}
/**
 * @experimental
 */
export interface PackageTagGroupProps {
    /**
     * (experimental) Group label to display.
     *
     * Falls back to id if not provided
     *
     * @experimental
     */
    readonly label?: string;
    /**
     * (experimental) Optional message to show within a tooltip next to the filter label.
     *
     * @experimental
     */
    readonly tooltip?: string;
    /**
     * (experimental) Allows to specify the group filter type.
     *
     * Defaults to checkbox if not specified
     *
     * @experimental
     */
    readonly filterType?: FilterType;
}
/**
 * @experimental
 */
export interface PackageTagGroupConfig {
    /**
     * @experimental
     */
    readonly id: string;
    /**
     * @experimental
     */
    readonly label?: string;
    /**
     * @experimental
     */
    readonly tooltip?: string;
    /**
     * @experimental
     */
    readonly filterType?: string;
}
/**
 * (experimental) Defines a custom package tag group.
 *
 * @experimental
 */
export declare class PackageTagGroup {
    readonly id: string;
    /**
     * @experimental
     */
    readonly label?: string;
    /**
     * @experimental
     */
    readonly tooltip?: string;
    /**
     * @experimental
     */
    readonly filterType?: string;
    /**
     * @experimental
     */
    constructor(id: string, props?: PackageTagGroupProps);
    /**
     * @experimental
     */
    bind(): PackageTagGroupConfig;
}
